﻿{php}
function jdate($type,$maket="now")
{
	//set 1 if you want translate number to farsi or if you don't like set 0
	$transnumber=0;
	///chosse your timezone
	$TZhours=0;
	$TZminute=0;
	$need="";
	$result1="";
	$result="";
	if($maket=="now"){
		$year=date("Y");
		$month=date("m");
		$day=date("d");
		list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
		$maket=mktime(date("H")+$TZhours,date("i")+$TZminute,date("s"),date("m"),date("d"),date("Y"));
	}else{
		//$maket=0;
		$maket+=$TZhours*3600+$TZminute*60;
		$date=date("Y-m-d",$maket);
		list( $year, $month, $day ) = preg_split ( '/-/', $date );

		list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
		}

	$need= $maket;
	$year=date("Y",$need);
	$month=date("m",$need);
	$day=date("d",$need);
	$i=0;
	$subtype="";
	$subtypetemp="";
	list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
	while($i<strlen($type))
	{
		$subtype=substr($type,$i,1);
		if($subtypetemp=="\\")
		{
			$result.=$subtype;
			$i++;
			continue;
		}
		
		switch ($subtype)
		{

			case "A":
				$result1=date("a",$need);
				if($result1=="pm") $result.= "بعد از ظهر";
				else $result.="قبل از ظهر";
				break;

			case "a":
				$result1=date("a",$need);
				if($result1=="pm") $result.= "ب.ظ";
				else $result.="ق.ظ";
				break;
			case "d":
				if($jday<10)$result1="0".$jday;
				else 	$result1=$jday;
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "D":
				$result1=date("D",$need);
				if($result1=="Thu") $result1="پ";
				else if($result1=="Sat") $result1="ش";
				else if($result1=="Sun") $result1="ی";
				else if($result1=="Mon") $result1="د";
				else if($result1=="Tue") $result1="س";
				else if($result1=="Wed") $result1="چ";
				else if($result1=="Thu") $result1="پ";
				else if($result1=="Fri") $result1="ج";
				$result.=$result1;
				break;
			case"F":
				$result.=monthname($jmonth);
				break;
			case "g":
				$result1=date("g",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "G":
				$result1=date("G",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
				case "h":
				$result1=date("h",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "H":
				$result1=date("H",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "i":
				$result1=date("i",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "j":
				$result1=$jday;
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "l":
				$result1=date("l",$need);
				if($result1=="Saturday") $result1="شنبه";
				else if($result1=="Sunday") $result1="یکشنبه";
				else if($result1=="Monday") $result1="دوشنبه";
				else if($result1=="Tuesday") $result1="سه شنبه";
				else if($result1=="Wednesday") $result1="چهار شنبه";
				else if($result1=="Thursday") $result1="پنجشنبه";
				else if($result1=="Friday") $result1="جمعه";
				$result.=$result1;
				break;
			case "m":
				if($jmonth<10) $result1="0".$jmonth;
				else	$result1=$jmonth;
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "M":
				$result.=short_monthname($jmonth);
				break;
			case "n":
				$result1=$jmonth;
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "s":
				$result1=date("s",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "S":
				$result.="&#1575;&#1605;";
				break;
			case "t":
				$result.=lastday ($month,$day,$year);
				break;
			case "w":
				$result1=date("w",$need);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "y":
				$result1=substr($jyear,2,4);
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;
			case "Y":
				$result1=$jyear;
				if($transnumber==1) $result.=Convertnumber2farsi($result1);
				else $result.=$result1;
				break;		
			case "U" :
				$result.=mktime();
				break;
			case "Z" :
				$result.=days_of_year($jmonth,$jday,$jyear);
				break;
			case "L" :
				list( $tmp_year, $tmp_month, $tmp_day ) = jalali_to_gregorian(1384, 12, 1);
				echo $tmp_day;
				/*if(lastday($tmp_month,$tmp_day,$tmp_year)=="31")
					$result.="1";
				else 
					$result.="0";
					*/
				break;
			default:
				$result.=$subtype;
		}
		$subtypetemp=substr($type,$i,1);
	$i++;
	}
	return $result;
}



function jmaketime($hour="",$minute="",$second="",$jmonth="",$jday="",$jyear="")
{
	if(!$hour && !$minute && !$second && !$jmonth && !$jmonth && !$jday && !$jyear)
		return mktime();
	list( $year, $month, $day ) = jalali_to_gregorian($jyear, $jmonth, $jday);
	$i=mktime($hour,$minute,$second,$month,$day,$year);	
	return $i;
}


///Find num of Day Begining Of Month ( 0 for Sat & 6 for Sun)
function mstart($month,$day,$year)
{
	list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
	list( $year, $month, $day ) = jalali_to_gregorian($jyear, $jmonth, "1");
	$timestamp=mktime(0,0,0,$month,$day,$year);
	return date("w",$timestamp);
}

//Find Number Of Days In This Month
function lastday ($month,$day,$year)
{
	$jday2="";
	$jdate2 ="";
	$lastdayen=date("d",mktime(0,0,0,$month+1,0,$year));
	list( $jyear, $jmonth, $jday ) = gregorian_to_jalali($year, $month, $day);
	$lastdatep=$jday;
	$jday=$jday2;
	while($jday2!="1")
	{
		if($day<$lastdayen)
		{
			$day++;
			list( $jyear, $jmonth, $jday2 ) = gregorian_to_jalali($year, $month, $day);
			if($jdate2=="1") break;
			if($jdate2!="1") $lastdatep++;
		}
		else
		{ 
			$day=0;
			$month++;
			if($month==13) 
			{
					$month="1";
					$year++;
			}
		}

	}
	return $lastdatep-1;
}

//Find days in this year untile now 
function days_of_year($jmonth,$jday,$jyear)
{
	$year="";
	$month="";
	$year="";
	$result="";
	if($jmonth=="01")
		return $jday;
	for ($i=1;$i<$jmonth || $i==12;$i++)
	{
		list( $year, $month, $day ) = jalali_to_gregorian($jyear, $i, "1");
		$result+=lastday($month,$day,$year);
	}
	return $result+$jday;
}

//translate number of month to name of month
function monthname($month)
{

    if($month=="01") return "فروردین";

    if($month=="02") return "اردیبهشت";

    if($month=="03") return "خرداد";

    if($month=="04") return  "تیر";

    if($month=="05") return "مرداد";

    if($month=="06") return "شهریور";

    if($month=="07") return "مهر";

    if($month=="08") return "آبان";

    if($month=="09") return "آذر";

    if($month=="10") return "دی";

    if($month=="11") return "بهمن";

    if($month=="12") return "اسفند";
}

function short_monthname($month)
{

    if($month=="01") return "فرو";

    if($month=="02") return "ارد";

    if($month=="03") return "خرد";

    if($month=="04") return  "تیر";

    if($month=="05") return "مرد";

    if($month=="06") return "شهر";

    if($month=="07") return "مهر";

    if($month=="08") return "آبا";

    if($month=="09") return "آذر";

    if($month=="10") return "دی";

    if($month=="11") return "بهم";

    if($month=="12") return "اسف ";
}

////here convert to  number in persian
function Convertnumber2farsi($srting) 
{
	$num0="۰";
	$num1="۱";
	$num2="۲";
	$num3="۳";
	$num4="۴";
	$num5="۵";
	$num6="۶";
	$num7="۷";
	$num8="۸";
	$num9="۹";
	
	$stringtemp="";
	$len=strlen($srting);
	for($sub=0;$sub<$len;$sub++)
	{
	 if(substr($srting,$sub,1)=="0")$stringtemp.=$num0;
	 elseif(substr($srting,$sub,1)=="1")$stringtemp.=$num1;
	 elseif(substr($srting,$sub,1)=="2")$stringtemp.=$num2;
	 elseif(substr($srting,$sub,1)=="3")$stringtemp.=$num3;
	 elseif(substr($srting,$sub,1)=="4")$stringtemp.=$num4;
	 elseif(substr($srting,$sub,1)=="5")$stringtemp.=$num5;
	 elseif(substr($srting,$sub,1)=="6")$stringtemp.=$num6;
	 elseif(substr($srting,$sub,1)=="7")$stringtemp.=$num7;
	 elseif(substr($srting,$sub,1)=="8")$stringtemp.=$num8;
	 elseif(substr($srting,$sub,1)=="9")$stringtemp.=$num9;
	 else $stringtemp.=substr($srting,$sub,1);

	}
return   $stringtemp;

}///end conver to number in persian

function is_kabise($year)
{
	if($year%4==0 && $year%100!=0)
		return true;
	return false;
}


function jcheckdate($month,$day,$year)
{
	$j_days_in_month = array(31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 30, 29);
	if($month<=12 && $month>0)
	{
		if($j_days_in_month[$month-1]>=$day && 	$day>0)
			return 1;
		if(is_kabise($year))
			echo "Asdsd";
		if(is_kabise($year) && $j_days_in_month[$month-1]==31)
			return 1;
	}
	
	return 0;
		
}

function jtime()
{
	return mktime()	;
}

function jgetdate($timestamp="")
{
	if($timestamp=="")
		$timestamp=mktime();

	return array(
		0=>$timestamp,	
		"seconds"=>jdate("s",$timestamp),
		"minutes"=>jdate("i",$timestamp),
		"hours"=>jdate("G",$timestamp),
		"mday"=>jdate("j",$timestamp),
		"wday"=>jdate("w",$timestamp),
		"mon"=>jdate("n",$timestamp),
		"year"=>jdate("Y",$timestamp),
		"yday"=>days_of_year(jdate("m",$timestamp),jdate("d",$timestamp),jdate("Y",$timestamp)),
		"weekday"=>jdate("l",$timestamp),		
		"month"=>jdate("F",$timestamp),
	);
}



function div($a,$b) {
    return (int) ($a / $b);
}

function gregorian_to_jalali ($g_y, $g_m, $g_d) 
{
    $g_days_in_month = array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31); 
    $j_days_in_month = array(31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 30, 29);     
    


   

   $gy = $g_y-1600; 
   $gm = $g_m-1; 
   $gd = $g_d-1; 

   $g_day_no = 365*$gy+div($gy+3,4)-div($gy+99,100)+div($gy+399,400); 

   for ($i=0; $i < $gm; ++$i) 
      $g_day_no += $g_days_in_month[$i]; 
   if ($gm>1 && (($gy%4==0 && $gy%100!=0) || ($gy%400==0))) 
      /* leap and after Feb */ 
      $g_day_no++; 
   $g_day_no += $gd; 

   $j_day_no = $g_day_no-79; 

   $j_np = div($j_day_no, 12053); /* 12053 = 365*33 + 32/4 */ 
   $j_day_no = $j_day_no % 12053; 

   $jy = 979+33*$j_np+4*div($j_day_no,1461); /* 1461 = 365*4 + 4/4 */ 

   $j_day_no %= 1461; 

   if ($j_day_no >= 366) { 
      $jy += div($j_day_no-1, 365); 
      $j_day_no = ($j_day_no-1)%365; 
   } 

   for ($i = 0; $i < 11 && $j_day_no >= $j_days_in_month[$i]; ++$i) 
      $j_day_no -= $j_days_in_month[$i]; 
   $jm = $i+1; 
   $jd = $j_day_no+1; 

   return array($jy, $jm, $jd); 
} 

function jalali_to_gregorian($j_y, $j_m, $j_d) 
{ 
    $g_days_in_month = array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31); 
    $j_days_in_month = array(31, 31, 31, 31, 31, 31, 30, 30, 30, 30, 30, 29);
    
   

   $jy = $j_y-979; 
   $jm = $j_m-1; 
   $jd = $j_d-1; 

   $j_day_no = 365*$jy + div($jy, 33)*8 + div($jy%33+3, 4); 
   for ($i=0; $i < $jm; ++$i) 
      $j_day_no += $j_days_in_month[$i]; 

   $j_day_no += $jd; 

   $g_day_no = $j_day_no+79; 

   $gy = 1600 + 400*div($g_day_no, 146097); /* 146097 = 365*400 + 400/4 - 400/100 + 400/400 */ 
   $g_day_no = $g_day_no % 146097; 

   $leap = true; 
   if ($g_day_no >= 36525) /* 36525 = 365*100 + 100/4 */ 
   { 
      $g_day_no--; 
      $gy += 100*div($g_day_no,  36524); /* 36524 = 365*100 + 100/4 - 100/100 */ 
      $g_day_no = $g_day_no % 36524; 

      if ($g_day_no >= 365) 
         $g_day_no++; 
      else 
         $leap = false; 
   } 

   $gy += 4*div($g_day_no, 1461); /* 1461 = 365*4 + 4/4 */ 
   $g_day_no %= 1461; 

   if ($g_day_no >= 366) { 
      $leap = false; 

      $g_day_no--; 
      $gy += div($g_day_no, 365); 
      $g_day_no = $g_day_no % 365; 
   } 

   for ($i = 0; $g_day_no >= $g_days_in_month[$i] + ($i == 1 && $leap); $i++) 
      $g_day_no -= $g_days_in_month[$i] + ($i == 1 && $leap); 
   $gm = $i+1; 
   $gd = $g_day_no+1; 

   return array($gy, $gm, $gd); 
}

{/php}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fa" lang="fa-IR">
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8;charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<link rel="stylesheet" href="templates/{$template}/mydc/style000.css" type="text/css" media="screen" />
<link rel="stylesheet" href="templates/{$template}/mydc/takcss00.css" type="text/css" media="screen" />
<title>{$companyname} - {$pagetitle}{if $kbarticle.title} - {$kbarticle.title}{/if}</title>
<link rel="alternate" type="application/rss+xml" title="آی آر سرور – هاست امن، هاست حرفه ای، سرور اختصاصی در ایران، سرور مجازی، هاست لینوکس و هاست ویندوز، طراحی وب، وب سایت خبری، ماژول خبری RSS Feed" href="http://ir-server.com/?feed=rss2" />
<script type='text/javascript' src='templates/{$template}/mydc/jquery00.js'></script>
<script type='text/javascript' src='templates/{$template}/mydc/ui000000.js'></script>
<script type='text/javascript' src='templates/{$template}/mydc/kkpb0000.js'></script>
<script type='text/javascript' src='templates/{$template}/mydc/jquery01.js'></script>
<script type='text/javascript' src='templates/{$template}/mydc/jquery02.js'></script>
<link rel="EditURI" type="application/rsd+xml" title="RSD" href="http://ir-server.com/xmlrpc.php?rsd" />
<link rel="wlwmanifest" type="application/wlwmanifest+xml" href="http://ir-server.com/wp-includes/wlwmanifest.xml" /> 
<link rel='index' title='آی آر سرور – هاست امن، هاست حرفه ای، سرور اختصاصی در ایران، سرور مجازی، هاست لینوکس و هاست ویندوز، طراحی وب، وب سایت خبری، ماژول خبری' href='http://ir-server.com' />
<link rel="stylesheet" href="templates/{$template}/mydc/rtl00000.css" type="text/css" media="screen" /><meta name="generator" content="WordPress 3.0.4" />
<script src='templates/{$template}/mydc/jquery03.js'></script>
<script src='templates/{$template}/mydc/tooltip0.js'></script><script type='text/css' src='templates/{$template}/mydc/style001.css'></script><link rel="stylesheet" type="text/css" media="screen" href="templates/{$template}/mydc/style001.css" />

<style>
<!--
P {MARGIN-TOP: 2px; MARGIN-BOTTOM: 2px; LINE-HEIGHT: 140%}
P {MARGIN-TOP: 2px; MARGIN-BOTTOM: 2px; LINE-HEIGHT: 140%}
-->
</style>
    <style type="text/css">
        body { background: #d5f2fb url('templates/{$template}/mydc/bg000000.png') repeat-x; }
        </style>
</head>

 <body>

<div dir="rtl">


    <div id="content">

 <div id="content-up">

<div id="today">
امروز: {php}echo Convertnumber2farsi(jdate('l ,d  M Y')){/php}</div>
			
					<div class="top_menu_left">
{if $loggedin}{$LANG.welcomeback}, <strong>{$loggedinuser.firstname}</strong>&nbsp;&nbsp;&nbsp;<a href="clientarea.php?action=details" title="{$LANG.clientareanavdetails}"><strong>{$LANG.clientareanavdetails}</strong></a>&nbsp;&nbsp;&nbsp;<a href="logout.php" title="خروج"><strong>{$LANG.logouttitle}</strong></a>{else}{$LANG.please}&nbsp; <a href="clientarea.php" title="{$LANG.loginbutton}"><strong>{$LANG.loginbutton}</strong></a>&nbsp; {$LANG.or} &nbsp;<a href="register.php" title="{$LANG.clientregistertitle}"><strong>{$LANG.clientregistertitle}</strong></a>{/if}
</div>
</div>


 <div id="content-side">

<div id="header"></div>

 <div id="menu">

   <a href="./index.php"></a>
   <a href="./domainchecker.php"></a>
   <a href="./cart.php"></a>
   <a href="http://ir-server.com/4"></a>
   <a href="http://ir-server.com/5"></a>
   <a href="./cart.php?gid=3"></a>
   <a href="./knowledgebase.php"></a>
   <a href="./index.php"></a>
   <a href="http://ir-server.com/9"></a>
   <a href="http://ir-server.com/10"></a>

  </div>

<div id="linkdump">
 <div id="linkdump-up">
 </div>
<div id="linkdump-body">
 <table border="0" width="934px">
<tr>
<td width="33.3%"dir="rtl" valign="top" style="background:  url(/images/linkdump-line.gif) repeat-y left;  padding: 5px; text-align: right;">

<font color="#005071"><span lang="fa"><b>برخی از مشتریان ما</b></span>
</font>

<font color="969696" >
<div style="padding:  3px;">
</div>

<ul>
<li>

<font face="Tahoma"><span style="font-size: 8pt">
<img src="templates/{$template}/mydc/arrow000.gif">&nbsp;
</span>
</font>

<font face="Tahoma" color="#969696"><span style="font-size: 8pt">

<a href=""><span style="text-decoration: none" lang="fa">وب 
سایت هواداران دکتر محسن رضایی</span></a></span></font><font face="Tahoma"><br>



<img src="templates/{$template}/mydc/arrow000.gif">&nbsp;

</font>

<font face="Tahoma" color="#969696"><span style="font-size: 8pt">

<a href=""><span style="text-decoration: none" lang="fa">وب 

سایت باشگاه فرهنگی ورزشی سایپا</span></a></span></font><span lang="fa"><font face="Tahoma"><br>

</font></span><font face="Tahoma"><span style="font-size: 8pt">

<img src="templates/{$template}/mydc/arrow000.gif">&nbsp;

</span>

</font>

<font face="Tahoma" color="#969696"><span style="font-size: 8pt">

<a href=""><span style="text-decoration: none" lang="fa">وب 

سایت دانشگاه آزاد اسلامی واحد دشتستان</span></a></span></font><br>

<font face="Tahoma"><span style="font-size: 8pt">

<img src="templates/{$template}/mydc/arrow000.gif">&nbsp;

</span>

</font>

<font face="Tahoma" color="#969696"><span style="font-size: 8pt">

<a href=""><span style="text-decoration: none" lang="fa">وب 

سایت دانشگاه آزاد اسلامی واحد بندر دیلم</span></a></span></font></li>

</ul> 

</ul>

  </td>

  <td width="33.3%"dir="rtl" valign="top" style="background:  url(templates/{$template}//images/linkdump-line.gif) repeat-y left;  padding: 5px; text-align: right;">

	<span lang="fa"><font color="#005071"><b>اسپانسر سایت ها و همایش های علمی</b></font></span><font color="#005071" >

           </font><font color="#969696" >

           <div style="padding:  3px;"></div>



    <ul>

  <li>













</li>



<font face="Tahoma"><span style="font-size: 8pt">

&nbsp;&nbsp;&nbsp;



<img src="templates/{$template}/mydc/arrow000.gif">&nbsp;

<a href="">

<span style="text-decoration: none">وب سایت انجمن مهندسی دانشجویان ایران</span></a></span></font>

<br>

<font face="Tahoma"><span style="font-size: 8pt">

&nbsp;&nbsp;&nbsp;

<img src="templates/{$template}/mydc/arrow000.gif">&nbsp;

<a href="">

<span style="text-decoration: none" lang="fa">مسابقه سازه های ماکارونی (خرپا)</span></a><br>



&nbsp;&nbsp;&nbsp;



<img src="templates/{$template}/mydc/arrow000.gif">&nbsp;

<a href=""><span style="text-decoration: none" lang="fa">

چهارمین همایش استانی مهندسی شیمی</span></a></span></span><br>

<span style="font-size: 8pt">



&nbsp;&nbsp;&nbsp;



<img src="templates/{$template}/mydc/arrow000.gif">&nbsp;

<a href=""><span style="text-decoration: none">همایش استانی 

مهندسی مکانیک</span></a></span></font></ul> 

</ul>







  <td dir="rtl" valign="top" style="background:  url(templates/{$template}//images/linkdump-line.gif) repeat-y left;  padding: 5px; text-align: right;">

	<a class="main-center32" title="آی آر سرور - ارائه دهنده سرویس های ثبت دامنه و میزبانی وب" href="">

	<img border="0" src="templates/{$template}/mydc/irlogo00.gif" width="337" height="74" align="left"></a></td>



 </tr>

    </table>

   </div>

   <div id="linkdump-down"></div>



  </div>



























<div class="ads-txt4">
<a href="">
آی آر سرور ، هاست امن، هاست حرفه ای، سرور اختصاصی در ایران، سرور مجازی، هاست لینوکس و هاست ویندوز، طراحی وب، وب سایت خبری، ماژول خبری
</a>
</div>

    





<div id="rightcol">
<html dir="rtl">
<head>
<meta http-equiv="Content-Language" content="fa">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8;charset=utf-8">
<style>
<!--
P {MARGIN-TOP: 2px; MARGIN-BOTTOM: 2px; LINE-HEIGHT: 140%}
P {MARGIN-TOP: 2px; MARGIN-BOTTOM: 2px; LINE-HEIGHT: 140%}
-->
</style>
</head>

<body>

<div align="center">
<table cellSpacing="3" cellPadding="5" width="284" height="91">
<tr>
	<td class="posts" vAlign="top" style="background-repeat: no-repeat; font-family: Tahoma; font-size: 10pt" width="661" background="http://ir-server.com/img/bg-qute.gif">
<span style="font-size: 8pt">		

<ul>
{php}$x=1;
// truncate the text to only 65 chars, add ... to the end
function truncate($text) {
    $text = substr($text,0,80);
    $text = substr($text,0,strrpos($text,' '));
    $text = $text."...";
    return $text;
}

// format the date to mm/dd/yyyy
function formatdate($date) {
    $year = substr ($date, 0, 4);
    $month = substr ($date, 5, 2);
    $day = substr ($date, 8, 2);
    return $month.'/'.$day.'/'.$year;
}

// limit the number of announcements to return
$limit = 5;


require 'configuration.php';
$link = mysql_connect($db_host,$db_username,$db_password);
mysql_select_db($db_name);

$result = mysql_query("SELECT * FROM tblannouncements WHERE published='on' ORDER BY id DESC LIMIT ".$limit);
while($data = mysql_fetch_array ($result))
{
    $id = $data['id'];
    $date = $data['date'];
    $announcement = $data['title'];
    $date = formatdate($date);
    echo'<li><a href="announcements.php?id='.$id.'">'.$announcement.'</a></li>';
    echo'';
    $x=false;
}
if($x) echo '<p>هیچ خبری جهت نمایش وجود ندارد</p>';{/php}
</font>
</a>
</li>
</span>
</td>
</tr>
</table>



</div>
<!--start block-->
<div id="leftcol-up">
<div id="leftcol-uptext">{$LANG.quicknav}</div><div id="rightcol-uptext-en"></div>
</div>
<div id="leftcol-body">
<div id="leftcol-btext">
<ul class="bxs">
      <li><a href="index.php" title="{$LANG.globalsystemname}">{$LANG.globalsystemname}</a></li>
      <li><a href="clientarea.php" title="{$LANG.clientareatitle}">{$LANG.clientareatitle}</a></li>
      <li><a href="announcements.php" title="{$LANG.announcementstitle}">{$LANG.announcementstitle}</a></li>
      <li><a href="knowledgebase.php" title="{$LANG.knowledgebasetitle}">{$LANG.knowledgebasetitle}</a></li>
      <li><a href="submitticket.php" title="{$LANG.supportticketspagetitle}">{$LANG.supportticketssubmitticket}</a></li>
      <li><a href="downloads.php" title="{$LANG.downloadstitle}">{$LANG.downloadstitle}</a></li>
      <li><a href="cart.php" title="{$LANG.ordertitle}">{$LANG.ordertitle}</a></li>
    </ul>
</div>
</div>
<div id="leftcol-down"></div>
<!--end block-->
{if $loggedin}
<!--start block-->
<div id="leftcol-up">
<div id="leftcol-uptext">منوی کاربری</div><div id="rightcol-uptext-en"></div>
</div>
<div id="leftcol-body">
<div id="leftcol-btext">
<ul class="bxs">
 <li><a href="clientarea.php" title="{$LANG.clientareanavhome}">{$LANG.clientareanavhome}</a></li>
				<li><a href="clientarea.php?action=details" title="{$LANG.clientareanavdetails}">{$LANG.clientareanavdetails}</a></li>
				<li><a href="clientarea.php?action=products" title="{$LANG.clientareanavservices}">{$LANG.clientareanavservices}</a></li>
				<li><a href="clientarea.php?action=domains" title="{$LANG.clientareanavdomains}">{$LANG.clientareanavdomains}</a></li>
				<li><a href="clientarea.php?action=invoices" title="{$LANG.invoices}">{$LANG.invoices}</a></li>
				<li><a href="supporttickets.php" title="{$LANG.clientareanavsupporttickets}">{$LANG.clientareanavsupporttickets}</a></li>
				<li><a href="affiliates.php" title="{$LANG.affiliatestitle}" >{$LANG.affiliatestitle}</a></li>
				<li><a href="clientarea.php?action=emails" title="{$LANG.clientareaemails}">{$LANG.clientareaemails}</a></li>
                                <li><a href="logout.php" ><span>{$LANG.logouttitle}</span></a></li></ul>
</div>
</div>
<div id="leftcol-down"></div>
<!--end block-->
{/if}
{if $loggedin}
<!--start block-->
<div id="leftcol-up">
<div id="leftcol-uptext">{$LANG.accountinfo}</div><div id="rightcol-uptext-en">Account Info</div>
</div>
<div id="leftcol-body">
<div id="leftcol-btext">
<p><strong>{$clientsdetails.firstname} {$clientsdetails.lastname} {if $clientsdetails.companyname}({$clientsdetails.companyname}){/if}</strong><br />
{$clientsdetails.address1}, {$clientsdetails.address2}<br />
{$clientsdetails.city}, {$clientsdetails.state}, {$clientsdetails.postcode}<br />
{$clientsdetails.countryname}<br />
{$clientsdetails.email}<br /><br />
{if $addfundsenabled}<img src="templates/{$template}/images/icons/money.gif" alt="Add Funds" width="22" height="22" border="0" class="absmiddle" /> <a href="clientarea.php?action=addfunds">{$LANG.addfunds}</a>{/if}</p>
    <p class="header">{$LANG.accountstats}</p>
    <p>{$LANG.statsnumproducts}: <strong>{$clientsstats.productsnumactive}</strong> ({$clientsstats.productsnumtotal})<br />
{$LANG.statsnumdomains}: <strong>{$clientsstats.numactivedomains}</strong> ({$clientsstats.numdomains})<br />
{$LANG.statsnumtickets}: <strong>{$clientsstats.numtickets}</strong><br />
{$LANG.statsnumreferredsignups}: <strong>{$clientsstats.numaffiliatesignups}</strong><br />
{$LANG.statscreditbalance}: <strong>{$clientsstats.creditbalance}</strong><br />
{$LANG.statsdueinvoicesbalance}: <strong>{if $clientsstats.numdueinvoices>0}<span class="red">{/if}{$clientsstats.dueinvoicesbalance}{if $clientsstats.numdueinvoices>0}</span>{/if}</strong></p>

</div>
</div>
<div id="leftcol-down"></div>
<!--end block-->
{else}
<!--start block-->
<div id="leftcol-up">
<div id="leftcol-uptext">{$LANG.clientlogin}</div><div id="rightcol-uptext-en">Client Login</div>
</div>
<div id="leftcol-body">
<div id="leftcol-btext">
<form method="post" action="{$systemsslurl}dologin.php">
  <table border="0" width="100%">
	<tr>
		<td><strong>{$LANG.email}</strong></td>
		<td>
    <input name="username" type="text" size="23" dir="ltr" id="usern"/></td>
	</tr>
	<tr>
		<td><strong>{$LANG.loginpassword}</strong></td>
		<td>
    <input name="password" type="password" size="23" dir="ltr" id="pass" /></td>
	</tr>
	</table>
	<p>
  </p>
  <p>
    <input type="checkbox" name="rememberme" />
    {$LANG.loginrememberme}</p>
  <p align="center">
    <input type="submit"  value="{$LANG.loginbutton}" />
  </p>
</form>
</div>
</div>
<div id="leftcol-down"></div>
<!--end block-->
<!--start block-->
<div id="leftcol-up">
<div id="leftcol-uptext">{$LANG.knowledgebasesearch}</div><div id="rightcol-uptext-en">Knowledgebase Search</div>
</div>
<div id="leftcol-body">
<div id="leftcol-btext">
<form method="post" action="knowledgebase.php?action=search">
  <p align="center">
    <input name="search" type="text" size="25" /><select name="searchin">
      <option value="Knowledgebase">{$LANG.knowledgebasetitle}</option>
      <option value="Downloads">{$LANG.downloadstitle}</option>
    </select><br>
    <input type="submit" style="background: -webkit-gradient(linear, left top, left bottom, from(#1BCEFC), to(#17AEEF));background: -moz-linear-gradient(top,  #1BCEFC,  #17AEEF);filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#1BCEFC', endColorstr='#17AEEF');border:1px solid #004373;color:#ffffff;margin-right:5px" value="{$LANG.go}" />
  </p>
</form>
</div>
</div>
<div id="leftcol-down"></div>
<!--end block-->
{/if}
   	    
</div>

<div id="centercol">
&nbsp;<!--start block--><p>